import xml.dom.minidom
import numpy as np

domtree = xml.dom.minidom.parse('./data.xml')
group= domtree.documentElement
persons = group.getElementsByTagName('person')

for person in persons:
        print("-----PERSON-----")
        if person.hasAttribute('id') :
                print("ID: {} ".format(person.getAttribute('id')) )
        print("Name:{} ".format(person.getElementsByTagName('name')[0].childNodes[0].data))
        print("Age:{} ".format(person.getElementsByTagName('age')[0].childNodes[0].data))
        print("Weight:{} ".format(person.getElementsByTagName('weight')[0].childNodes[0].data))
        print("Heigh:{} ".format(person.getElementsByTagName('height')[0].childNodes[0].data))
	
# 修改原有标签的值
persons[0].setAttribute("id","100")
persons[1].getElementsByTagName('name')[0].childNodes[0].nodeValue = "New Name"
persons[2].getElementsByTagName('age')[0].childNodes[0].nodeValue = "-10"


# 创建新的标签
newperson = domtree.createElement('person')
newperson.setAttribute('id','6')

name= domtree.createElement('name')
name.appendChild(domtree.createTextNode('Paul Green'))
# name.setAttribute('sex','male') # 属性是加在标签名之后、尖括号<>之中的

age= domtree.createElement('age')
age.appendChild(domtree.createTextNode('l9'))

weight= domtree.createElement('weight')
weight.appendChild(domtree.createTextNode('90'))

a = np.arange(0,10)
def np2str(np_arr):
        np_arr = np_arr.reshape(1,-1)[0]
        str_arr = ""
        for i in a:
                str_arr += str(i)+" "
        return str_arr
        

height= domtree.createElement('height')
height.appendChild(domtree.createTextNode(np2str(a)))

newperson.appendChild(name)
newperson.appendChild(age)
newperson.appendChild(weight)
newperson.appendChild(height)
group.appendChild(newperson)

# write out the xml file.
domtree.writexml(open('data.xml','w'))
