import xml.sax

class VtkHandler(xml.sax.ContentHandler):
    def __init__(self):
        self.CurrentData = ""
        self.name = ""
        self.age = ""
        self.weight = ""
        self.height = ""
    def startElement(self, name, attrs):
        # print(name)
        self.CurrentData = name
        if self.CurrentData == "person":
            print("-----PERSON-----")
            print("ID: {}".format(attrs['id']))
    def characters(self, content):
        if self.CurrentData == "name":
            self.name = content
        elif self.CurrentData== "age" :
            self.age = content
        elif self.CurrentData == "weight" :
            self.weight= content
        elif self.CurrentData == "height" :
            self.height = content
    def endElement (self, name) :
        if self.CurrentData == "name" :
            print ("Name : {} ".format(self.name))
        elif self.CurrentData == "age" :
            print ("Age: {}".format(self.age))
        elif self.CurrentData == "weight" :
            print ("Weight: {}".format(self.weight))
        elif self.CurrentData == "height":
            print ("Height: {} ".format(self.height))


handler = VtkHandler()
parser = xml.sax.make_parser()
parser.setContentHandler(handler)
parser.parse('./data.xml')
